export declare class ServiceNodeNotInSessionError extends Error {
    constructor(message: string, ...params: any[]);
}
export declare class EmptyKeyManagerError extends Error {
    constructor(message: string, ...params: any[]);
}
export declare class NoServiceNodeError extends Error {
    constructor(message: string, ...params: any[]);
}
export declare enum PocketCoreErrorCodes {
    AppNotFoundError = 45,
    DuplicateProofError = 37,
    EmptyPayloadDataError = 25,
    EvidenceSealedError = 90,
    HTTPExecutionError = 28,
    InvalidBlockHeightError = 60,
    InvalidSessionError = 14,
    OutOfSyncRequestError = 75,
    OverServiceError = 71,
    RequestHashError = 74,
    UnsupportedBlockchainError = 76
}
export declare class PocketCoreError extends Error {
    code: number;
    message: string;
    constructor(code: number, message: string, ...params: any[]);
}
export declare class EmptyPayloadDataError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class RequestHashError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class UnsupportedBlockchainError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class InvalidBlockHeightError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class InvalidSessionError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class AppNotFoundError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class EvidenceSealedError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class DuplicateProofError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class OutOfSyncRequestError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class OverServiceError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare class HTTPExecutionError extends PocketCoreError {
    constructor(code: number, message: string, ...params: any[]);
}
export declare function validateRelayResponse(relayResponse: any): any;
//# sourceMappingURL=errors.d.ts.map